:root {
  --black:   #0a0808;
  --bgblack: #0c121b;
  --white: #ffffff;
  --blue: #175e8d;
  --glowingblue: #1f9bee;
}

* {box-sizing: border-box;}

html, body { margin: 0; padding: 0; scrollbar-width: none;}

/* our givens */
body {
  background: var(--bgblack);
  color: var(--white);
  font-family: Tahoma, Verdana, sans-serif;
}
header {
  font-family: 'Times New Roman', serif;
  padding: 0 30px !important;
  text-align: center;
  scrollbar-width: none;
  text-shadow: 0 0 18px var(--glowingblue);
  font-size: xx-large;
  overflow: wrap !important;
}
main {
  padding: 30px;
  text-align: center;
}
footer {
  padding: 30px;
  text-align: center;
}
nav {
  letter-spacing: 0.18em;
  padding: 0px 30px;
  text-align: center;
}

a {
  color: var(--white);
  text-decoration: underline;
}

.nav a {
  margin: 0 6px; 
}

a:hover,a:focus {
  color:#000;
  background: var(--blue);
  text-decoration: none;
  outline: 0;
}

/* for the stupid image at the top */
.banner {
  width: 100%;
  position: relative;
  overflow: hidden;
  padding-bottom: 6rem;
}
.bannerImage{ 
  width: 100%;
  aspect-ratio: 4 / 1;
  min-height: 200px;
  max-height: 450px;
  border-bottom: 1rem solid var(--black);
  object-fit: cover;
}

/* profile picture, converted to block bcuz weird CSS shit when using classes in img elem */
.pfp {
  display: block;
  position: absolute;
  overflow: hidden;
  left: 50%;
  bottom: 0;
  width: clamp(140px, 20vw, 260px);
  aspect-ratio: 1 / 1;
  object-fit: cover;
  border: 0.5rem solid var(--black);
  transform: translate(-50%,0);
  z-index: 10;
}

/* we put these in the column */
.boxContainer {
  background: var(--black);
  border: 4px solid var(--blue);
  margin: 18px 0;
  padding: 18px 20px 14px;
}

/* page contents fit into a tumblr type shit */
.col {
  width: 100%;
  max-width: 620px;
  margin-top: 0px;
  margin-bottom: 0px;
  margin-left: auto;
  margin-right: auto;
}

@media (max-width: 760px) {
  .pfp {
    width : clamp(100px, 30vw, 150px);
  }
}
